#ifndef TASK_CTRL_H
#define TASK_CTRL_H

/*!
  \file
  \brief ターゲット用の走行制御プログラム

  \author Satofumi KAMIMURA

  $Id: taskCtrl.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include "structTables.h"
#include "nodeAccess.h"


extern void recv_tRunCtrlPacket(runCtrl_t *run);
extern void update_tRunCtrlState(runCtrl_t *run);
extern void init_tRunCtrlState(runCtrl_t *run, long version);
extern void reset_tRunCtrlPosition(runCtrl_t *run);

#endif /* !TASK_CTRL_H */
